# AIAbstractListSorterItemAscending Class Reference

Sort by item, ascending. More...

Inheritance diagram for AIAbstractListSorterItemAscending:

## Public Member Functions
| AIAbstractListSorterItemAscending (AIAbstractList *list)
int32 | Begin ()
| Get the first item of the sorter.
void | End ()
| Stop iterating a sorter.
void | FindNext ()
int32 | Next ()
| Get the next item of the sorter.
void | Remove (int item)
| Callback from the list if an item gets removed.
bool | HasNext ()
| See if there is a next item of the sorter.
## Private Attributes
AIAbstractList::AIAbstractListMap::iterator | item_iter
bool | has_no_more_items
int32 | item_next

## Detailed Description

Sort by item, ascending.

Definition at line 232 of file ai_abstractlist.cpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_abstractlist.cpp